package com.memorynotfound.ldap;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import javax.annotation.PostConstruct;
import java.util.List;

@SpringBootApplication
public class Application {

    private static Logger log = LoggerFactory.getLogger(Application.class);

    private static final String BASE = "dc=memorynotfound,dc=com";

    @Autowired
    private PersonRepository personRepository;

    public static void main(String[] args) throws Exception {
        SpringApplication.run(Application.class, args);
    }

    @PostConstruct
    public void setup(){
        log.info("Spring LDAP Mapping Attributes to POJO with AttributesMapper Example");

        List<String> names = personRepository.getAllPersonNames();
        log.info("names: " + names);

        List<Person> persons = personRepository.getAllPersons();
        log.info("persons: " + persons);

        Person person = personRepository.findPerson("uid=john,ou=people," + BASE);
        log.info("person: " + person);

        System.exit(-1);
    }

}
